/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#ifndef OOX_TOKEN_PROPERTIES_HXX
#define OOX_TOKEN_PROPERTIES_HXX

#include <sal/types.h>

namespace oox {
const sal_Int32 PROP_AbsoluteName = 0;
const sal_Int32 PROP_Action = 1;
const sal_Int32 PROP_ActiveSplitRange = 2;
const sal_Int32 PROP_ActiveTable = 3;
const sal_Int32 PROP_Address = 4;
const sal_Int32 PROP_Adjust = 5;
const sal_Int32 PROP_AdjustContrast = 6;
const sal_Int32 PROP_AdjustLuminance = 7;
const sal_Int32 PROP_AdjustmentValues = 8;
const sal_Int32 PROP_Align = 9;
const sal_Int32 PROP_AnchorPosition = 10;
const sal_Int32 PROP_AnchorType = 11;
const sal_Int32 PROP_ApplyFormDesignMode = 12;
const sal_Int32 PROP_AreaLinks = 13;
const sal_Int32 PROP_ArrangeOrder = 14;
const sal_Int32 PROP_Aspect = 15;
const sal_Int32 PROP_AttachedAxisIndex = 16;
const sal_Int32 PROP_AutoFilter = 17;
const sal_Int32 PROP_AutoShowInfo = 18;
const sal_Int32 PROP_Autocomplete = 19;
const sal_Int32 PROP_BackColor = 20;
const sal_Int32 PROP_BackColorTransparency = 21;
const sal_Int32 PROP_BackGraphic = 22;
const sal_Int32 PROP_BackGraphicLocation = 23;
const sal_Int32 PROP_Background = 24;
const sal_Int32 PROP_BackgroundColor = 25;
const sal_Int32 PROP_BasicLibraries = 26;
const sal_Int32 PROP_BlackDay = 27;
const sal_Int32 PROP_BlockIncrement = 28;
const sal_Int32 PROP_Border = 29;
const sal_Int32 PROP_BorderColor = 30;
const sal_Int32 PROP_BorderDashName = 31;
const sal_Int32 PROP_BorderStyle = 32;
const sal_Int32 PROP_BorderTransparency = 33;
const sal_Int32 PROP_BorderWidth = 34;
const sal_Int32 PROP_BottomBorder = 35;
const sal_Int32 PROP_BottomBorderDistance = 36;
const sal_Int32 PROP_BottomMargin = 37;
const sal_Int32 PROP_BuiltInUnit = 38;
const sal_Int32 PROP_BulletChar = 39;
const sal_Int32 PROP_BulletColor = 40;
const sal_Int32 PROP_BulletFont = 41;
const sal_Int32 PROP_BulletFontName = 42;
const sal_Int32 PROP_BulletRelSize = 43;
const sal_Int32 PROP_CLSID = 44;
const sal_Int32 PROP_CalcAsShown = 45;
const sal_Int32 PROP_CellBackColor = 46;
const sal_Int32 PROP_CellProtection = 47;
const sal_Int32 PROP_CellStyle = 48;
const sal_Int32 PROP_CenterHorizontally = 49;
const sal_Int32 PROP_CenterVertically = 50;
const sal_Int32 PROP_Change = 51;
const sal_Int32 PROP_CharCaseMap = 52;
const sal_Int32 PROP_CharColor = 53;
const sal_Int32 PROP_CharContoured = 54;
const sal_Int32 PROP_CharEscapement = 55;
const sal_Int32 PROP_CharEscapementHeight = 56;
const sal_Int32 PROP_CharFontCharSet = 57;
const sal_Int32 PROP_CharFontCharSetAsian = 58;
const sal_Int32 PROP_CharFontCharSetComplex = 59;
const sal_Int32 PROP_CharFontFamily = 60;
const sal_Int32 PROP_CharFontFamilyAsian = 61;
const sal_Int32 PROP_CharFontFamilyComplex = 62;
const sal_Int32 PROP_CharFontName = 63;
const sal_Int32 PROP_CharFontNameAsian = 64;
const sal_Int32 PROP_CharFontNameComplex = 65;
const sal_Int32 PROP_CharFontPitch = 66;
const sal_Int32 PROP_CharFontPitchAsian = 67;
const sal_Int32 PROP_CharFontPitchComplex = 68;
const sal_Int32 PROP_CharHeight = 69;
const sal_Int32 PROP_CharHeightAsian = 70;
const sal_Int32 PROP_CharHeightComplex = 71;
const sal_Int32 PROP_CharInteropGrabBag = 72;
const sal_Int32 PROP_CharKerning = 73;
const sal_Int32 PROP_CharLocale = 74;
const sal_Int32 PROP_CharLocaleAsian = 75;
const sal_Int32 PROP_CharLocaleComplex = 76;
const sal_Int32 PROP_CharPosture = 77;
const sal_Int32 PROP_CharPostureAsian = 78;
const sal_Int32 PROP_CharPostureComplex = 79;
const sal_Int32 PROP_CharShadowed = 80;
const sal_Int32 PROP_CharStrikeout = 81;
const sal_Int32 PROP_CharStyleName = 82;
const sal_Int32 PROP_CharUnderline = 83;
const sal_Int32 PROP_CharUnderlineColor = 84;
const sal_Int32 PROP_CharUnderlineHasColor = 85;
const sal_Int32 PROP_CharWeight = 86;
const sal_Int32 PROP_CharWeightAsian = 87;
const sal_Int32 PROP_CharWeightComplex = 88;
const sal_Int32 PROP_CircleEndAngle = 89;
const sal_Int32 PROP_CircleKind = 90;
const sal_Int32 PROP_CircleStartAngle = 91;
const sal_Int32 PROP_ClassId = 92;
const sal_Int32 PROP_CodeName = 93;
const sal_Int32 PROP_Color = 94;
const sal_Int32 PROP_ColumnGrand = 95;
const sal_Int32 PROP_ColumnLabelRanges = 96;
const sal_Int32 PROP_CompileEnglish = 97;
const sal_Int32 PROP_ConditionalFormat = 98;
const sal_Int32 PROP_ConnectBars = 99;
const sal_Int32 PROP_ContainsHeader = 100;
const sal_Int32 PROP_Coordinates = 101;
const sal_Int32 PROP_CopyBack = 102;
const sal_Int32 PROP_CopyFormulas = 103;
const sal_Int32 PROP_CopyOutputData = 104;
const sal_Int32 PROP_CopyStyles = 105;
const sal_Int32 PROP_CornerRadius = 106;
const sal_Int32 PROP_CrossoverPosition = 107;
const sal_Int32 PROP_CrossoverValue = 108;
const sal_Int32 PROP_CursorPositionX = 109;
const sal_Int32 PROP_CursorPositionY = 110;
const sal_Int32 PROP_CurveName = 111;
const sal_Int32 PROP_CurveStyle = 112;
const sal_Int32 PROP_CustomLabelFields = 113;
const sal_Int32 PROP_CustomShapeGeometry = 114;
const sal_Int32 PROP_D3DSceneAmbientColor = 115;
const sal_Int32 PROP_D3DSceneLightColor2 = 116;
const sal_Int32 PROP_D3DSceneLightDirection2 = 117;
const sal_Int32 PROP_D3DSceneLightOn1 = 118;
const sal_Int32 PROP_D3DSceneLightOn2 = 119;
const sal_Int32 PROP_D3DScenePerspective = 120;
const sal_Int32 PROP_D3DSceneShadeMode = 121;
const sal_Int32 PROP_DDELinks = 122;
const sal_Int32 PROP_DataTableHBorder = 123;
const sal_Int32 PROP_DataTableOutline = 124;
const sal_Int32 PROP_DataTableVBorder = 125;
const sal_Int32 PROP_DatabaseRanges = 126;
const sal_Int32 PROP_Decoration = 127;
const sal_Int32 PROP_DefaultScrollValue = 128;
const sal_Int32 PROP_DefaultSpinValue = 129;
const sal_Int32 PROP_DefaultState = 130;
const sal_Int32 PROP_DefaultText = 131;
const sal_Int32 PROP_DefaultValue = 132;
const sal_Int32 PROP_DiagonalBLTR = 133;
const sal_Int32 PROP_DiagonalTLBR = 134;
const sal_Int32 PROP_DialogLibraries = 135;
const sal_Int32 PROP_DisableComplexChartTypes = 136;
const sal_Int32 PROP_DisableDataTableDialog = 137;
const sal_Int32 PROP_DisplayLabels = 138;
const sal_Int32 PROP_DisplayUnits = 139;
const sal_Int32 PROP_DrillDownOnDoubleClick = 140;
const sal_Int32 PROP_Dropdown = 141;
const sal_Int32 PROP_Duration = 142;
const sal_Int32 PROP_EchoChar = 143;
const sal_Int32 PROP_EnableVisible = 144;
const sal_Int32 PROP_Enabled = 145;
const sal_Int32 PROP_EndPosition = 146;
const sal_Int32 PROP_Equations = 147;
const sal_Int32 PROP_ErrorAlertStyle = 148;
const sal_Int32 PROP_ErrorBarStyle = 149;
const sal_Int32 PROP_ErrorBarX = 150;
const sal_Int32 PROP_ErrorBarY = 151;
const sal_Int32 PROP_ErrorMessage = 152;
const sal_Int32 PROP_ErrorTitle = 153;
const sal_Int32 PROP_Expansion = 154;
const sal_Int32 PROP_ExternalData = 155;
const sal_Int32 PROP_ExternalDocLinks = 156;
const sal_Int32 PROP_ExternalLinks = 157;
const sal_Int32 PROP_ExtrapolateBackward = 158;
const sal_Int32 PROP_ExtrapolateForward = 159;
const sal_Int32 PROP_FileFormat = 160;
const sal_Int32 PROP_FillBackground = 161;
const sal_Int32 PROP_FillBitmap = 162;
const sal_Int32 PROP_FillBitmapMode = 163;
const sal_Int32 PROP_FillBitmapName = 164;
const sal_Int32 PROP_FillBitmapPositionOffsetX = 165;
const sal_Int32 PROP_FillBitmapPositionOffsetY = 166;
const sal_Int32 PROP_FillBitmapRectanglePoint = 167;
const sal_Int32 PROP_FillBitmapSizeX = 168;
const sal_Int32 PROP_FillBitmapSizeY = 169;
const sal_Int32 PROP_FillColor = 170;
const sal_Int32 PROP_FillGradient = 171;
const sal_Int32 PROP_FillGradientName = 172;
const sal_Int32 PROP_FillHatch = 173;
const sal_Int32 PROP_FillHatchName = 174;
const sal_Int32 PROP_FillStyle = 175;
const sal_Int32 PROP_FillTransparence = 176;
const sal_Int32 PROP_FillTransparenceGradient = 177;
const sal_Int32 PROP_FillTransparenceGradientName = 178;
const sal_Int32 PROP_Filter = 179;
const sal_Int32 PROP_FilterCriteriaSource = 180;
const sal_Int32 PROP_FilterOptions = 181;
const sal_Int32 PROP_FirstLineOffset = 182;
const sal_Int32 PROP_FirstPageNumber = 183;
const sal_Int32 PROP_FocusOnClick = 184;
const sal_Int32 PROP_FontCharset = 185;
const sal_Int32 PROP_FontHeight = 186;
const sal_Int32 PROP_FontIndependentLineSpacing = 187;
const sal_Int32 PROP_FontName = 188;
const sal_Int32 PROP_FontSlant = 189;
const sal_Int32 PROP_FontStrikeout = 190;
const sal_Int32 PROP_FontUnderline = 191;
const sal_Int32 PROP_FontWeight = 192;
const sal_Int32 PROP_FooterBodyDistance = 193;
const sal_Int32 PROP_FooterHeight = 194;
const sal_Int32 PROP_FooterIsDynamicHeight = 195;
const sal_Int32 PROP_FooterIsOn = 196;
const sal_Int32 PROP_FooterIsShared = 197;
const sal_Int32 PROP_ForceIntercept = 198;
const sal_Int32 PROP_FormulaConvention = 199;
const sal_Int32 PROP_FrameIsAutomaticHeight = 200;
const sal_Int32 PROP_Function = 201;
const sal_Int32 PROP_GapwidthSequence = 202;
const sal_Int32 PROP_GenerateVbaEvents = 203;
const sal_Int32 PROP_Geometry3D = 204;
const sal_Int32 PROP_GradientName = 205;
const sal_Int32 PROP_Graphic = 206;
const sal_Int32 PROP_GraphicBitmap = 207;
const sal_Int32 PROP_GraphicColorMode = 208;
const sal_Int32 PROP_GraphicCrop = 209;
const sal_Int32 PROP_GraphicSize = 210;
const sal_Int32 PROP_GridColor = 211;
const sal_Int32 PROP_GroupInfo = 212;
const sal_Int32 PROP_GroupName = 213;
const sal_Int32 PROP_HScroll = 214;
const sal_Int32 PROP_Handles = 215;
const sal_Int32 PROP_HasAutoShowInfo = 216;
const sal_Int32 PROP_HasColumnRowHeaders = 217;
const sal_Int32 PROP_HasHorizontalScrollBar = 218;
const sal_Int32 PROP_HasLayoutInfo = 219;
const sal_Int32 PROP_HasMainTitle = 220;
const sal_Int32 PROP_HasReference = 221;
const sal_Int32 PROP_HasSecondaryXAxisTitle = 222;
const sal_Int32 PROP_HasSecondaryYAxisTitle = 223;
const sal_Int32 PROP_HasSheetTabs = 224;
const sal_Int32 PROP_HasSortInfo = 225;
const sal_Int32 PROP_HasVerticalScrollBar = 226;
const sal_Int32 PROP_HasXAxisTitle = 227;
const sal_Int32 PROP_HasYAxisTitle = 228;
const sal_Int32 PROP_HasZAxisTitle = 229;
const sal_Int32 PROP_HatchName = 230;
const sal_Int32 PROP_HeaderBodyDistance = 231;
const sal_Int32 PROP_HeaderHeight = 232;
const sal_Int32 PROP_HeaderIsDynamicHeight = 233;
const sal_Int32 PROP_HeaderIsOn = 234;
const sal_Int32 PROP_HeaderIsShared = 235;
const sal_Int32 PROP_Height = 236;
const sal_Int32 PROP_HelpText = 237;
const sal_Int32 PROP_HideInactiveSelection = 238;
const sal_Int32 PROP_HoriJustify = 239;
const sal_Int32 PROP_HoriJustifyMethod = 240;
const sal_Int32 PROP_HoriOrient = 241;
const sal_Int32 PROP_HoriOrientPosition = 242;
const sal_Int32 PROP_HoriOrientRelation = 243;
const sal_Int32 PROP_HorizontalSplitMode = 244;
const sal_Int32 PROP_HorizontalSplitPositionTwips = 245;
const sal_Int32 PROP_IgnoreBlankCells = 246;
const sal_Int32 PROP_IgnoreCase = 247;
const sal_Int32 PROP_IgnoreLeadingSpaces = 248;
const sal_Int32 PROP_ImagePosition = 249;
const sal_Int32 PROP_IncludeHiddenCells = 250;
const sal_Int32 PROP_InputMessage = 251;
const sal_Int32 PROP_InputTitle = 252;
const sal_Int32 PROP_InterceptValue = 253;
const sal_Int32 PROP_IsActive = 254;
const sal_Int32 PROP_IsAdjustHeightEnabled = 255;
const sal_Int32 PROP_IsCaseSensitive = 256;
const sal_Int32 PROP_IsCellBackgroundTransparent = 257;
const sal_Int32 PROP_IsChangeReadOnlyEnabled = 258;
const sal_Int32 PROP_IsDate = 259;
const sal_Int32 PROP_IsExecuteLinkEnabled = 260;
const sal_Int32 PROP_IsHidden = 261;
const sal_Int32 PROP_IsIterationEnabled = 262;
const sal_Int32 PROP_IsLandscape = 263;
const sal_Int32 PROP_IsLoaded = 264;
const sal_Int32 PROP_IsNumbering = 265;
const sal_Int32 PROP_IsOutlineSymbolsSet = 266;
const sal_Int32 PROP_IsPlaceholderDependent = 267;
const sal_Int32 PROP_IsSharedFormula = 268;
const sal_Int32 PROP_IsStartOfNewPage = 269;
const sal_Int32 PROP_IsTextWrapped = 270;
const sal_Int32 PROP_IsUndoEnabled = 271;
const sal_Int32 PROP_IsVisible = 272;
const sal_Int32 PROP_IterationCount = 273;
const sal_Int32 PROP_IterationEpsilon = 274;
const sal_Int32 PROP_Japanese = 275;
const sal_Int32 PROP_Label = 276;
const sal_Int32 PROP_LabelBorderColor = 277;
const sal_Int32 PROP_LabelBorderStyle = 278;
const sal_Int32 PROP_LabelBorderWidth = 279;
const sal_Int32 PROP_LabelPlacement = 280;
const sal_Int32 PROP_LabelPosition = 281;
const sal_Int32 PROP_LabelSeparator = 282;
const sal_Int32 PROP_LayoutInfo = 283;
const sal_Int32 PROP_LeftBorder = 284;
const sal_Int32 PROP_LeftBorderDistance = 285;
const sal_Int32 PROP_LeftMargin = 286;
const sal_Int32 PROP_LeftPageFooterContent = 287;
const sal_Int32 PROP_LeftPageHeaderContent = 288;
const sal_Int32 PROP_LegacyFragment = 289;
const sal_Int32 PROP_LineCap = 290;
const sal_Int32 PROP_LineColor = 291;
const sal_Int32 PROP_LineCount = 292;
const sal_Int32 PROP_LineDash = 293;
const sal_Int32 PROP_LineDashName = 294;
const sal_Int32 PROP_LineEndCenter = 295;
const sal_Int32 PROP_LineEndName = 296;
const sal_Int32 PROP_LineEndWidth = 297;
const sal_Int32 PROP_LineIncrement = 298;
const sal_Int32 PROP_LineJoint = 299;
const sal_Int32 PROP_LineStartCenter = 300;
const sal_Int32 PROP_LineStartName = 301;
const sal_Int32 PROP_LineStartWidth = 302;
const sal_Int32 PROP_LineStyle = 303;
const sal_Int32 PROP_LineTransparence = 304;
const sal_Int32 PROP_LineWidth = 305;
const sal_Int32 PROP_LinkNumberFormatToSource = 306;
const sal_Int32 PROP_LinkURL = 307;
const sal_Int32 PROP_LoadReadonly = 308;
const sal_Int32 PROP_LookUpLabels = 309;
const sal_Int32 PROP_MajorTickmarks = 310;
const sal_Int32 PROP_MarkPosition = 311;
const sal_Int32 PROP_MaxFieldCount = 312;
const sal_Int32 PROP_MaxTextLen = 313;
const sal_Int32 PROP_MediaType = 314;
const sal_Int32 PROP_MediaURL = 315;
const sal_Int32 PROP_MinorTickmarks = 316;
const sal_Int32 PROP_MirroredX = 317;
const sal_Int32 PROP_MirroredY = 318;
const sal_Int32 PROP_MissingValueTreatment = 319;
const sal_Int32 PROP_Model = 320;
const sal_Int32 PROP_ModifyPasswordHash = 321;
const sal_Int32 PROP_MoveProtect = 322;
const sal_Int32 PROP_MovingAveragePeriod = 323;
const sal_Int32 PROP_MultiLine = 324;
const sal_Int32 PROP_MultiPageValue = 325;
const sal_Int32 PROP_MultiSelection = 326;
const sal_Int32 PROP_Name = 327;
const sal_Int32 PROP_NamedRanges = 328;
const sal_Int32 PROP_NegativeError = 329;
const sal_Int32 PROP_NullDate = 330;
const sal_Int32 PROP_NumberFormat = 331;
const sal_Int32 PROP_NumberingIsNumber = 332;
const sal_Int32 PROP_NumberingLevel = 333;
const sal_Int32 PROP_NumberingRules = 334;
const sal_Int32 PROP_NumberingType = 335;
const sal_Int32 PROP_Offset = 336;
const sal_Int32 PROP_OpCodeMap = 337;
const sal_Int32 PROP_Opaque = 338;
const sal_Int32 PROP_Orientation = 339;
const sal_Int32 PROP_OutputPosition = 340;
const sal_Int32 PROP_OverlapSequence = 341;
const sal_Int32 PROP_PageScale = 342;
const sal_Int32 PROP_PageStyle = 343;
const sal_Int32 PROP_PageToggle = 344;
const sal_Int32 PROP_PageViewZoomValue = 345;
const sal_Int32 PROP_PaintTransparent = 346;
const sal_Int32 PROP_ParaAdjust = 347;
const sal_Int32 PROP_ParaBottomMargin = 348;
const sal_Int32 PROP_ParaFirstLineIndent = 349;
const sal_Int32 PROP_ParaIndent = 350;
const sal_Int32 PROP_ParaIsHangingPunctuation = 351;
const sal_Int32 PROP_ParaIsHyphenation = 352;
const sal_Int32 PROP_ParaLeftMargin = 353;
const sal_Int32 PROP_ParaLineSpacing = 354;
const sal_Int32 PROP_ParaRightMargin = 355;
const sal_Int32 PROP_ParaTabStops = 356;
const sal_Int32 PROP_ParaTopMargin = 357;
const sal_Int32 PROP_Path = 358;
const sal_Int32 PROP_PercentageNumberFormat = 359;
const sal_Int32 PROP_PersistName = 360;
const sal_Int32 PROP_Perspective = 361;
const sal_Int32 PROP_PolyPolygon = 362;
const sal_Int32 PROP_PolyPolygonBezier = 363;
const sal_Int32 PROP_PolygonKind = 364;
const sal_Int32 PROP_PolynomialDegree = 365;
const sal_Int32 PROP_Position = 366;
const sal_Int32 PROP_PositionBottom = 367;
const sal_Int32 PROP_PositionLeft = 368;
const sal_Int32 PROP_PositionRight = 369;
const sal_Int32 PROP_PositionTop = 370;
const sal_Int32 PROP_PositionX = 371;
const sal_Int32 PROP_PositionY = 372;
const sal_Int32 PROP_PositiveError = 373;
const sal_Int32 PROP_Prefix = 374;
const sal_Int32 PROP_PresetTextWarp = 375;
const sal_Int32 PROP_PrintAnnotations = 376;
const sal_Int32 PROP_PrintBorder = 377;
const sal_Int32 PROP_PrintDownFirst = 378;
const sal_Int32 PROP_PrintGrid = 379;
const sal_Int32 PROP_PrintHeaders = 380;
const sal_Int32 PROP_Printable = 381;
const sal_Int32 PROP_PrivateStream = 382;
const sal_Int32 PROP_PrivateTempFileURL = 383;
const sal_Int32 PROP_ProgressValueMax = 384;
const sal_Int32 PROP_ProgressValueMin = 385;
const sal_Int32 PROP_Protected = 386;
const sal_Int32 PROP_RadiusRangeMaximum = 387;
const sal_Int32 PROP_RadiusRangeMinimum = 388;
const sal_Int32 PROP_RangeXMaximum = 389;
const sal_Int32 PROP_RangeXMinimum = 390;
const sal_Int32 PROP_RangeYMaximum = 391;
const sal_Int32 PROP_RangeYMinimum = 392;
const sal_Int32 PROP_ReadOnly = 393;
const sal_Int32 PROP_RefAngle = 394;
const sal_Int32 PROP_RefR = 395;
const sal_Int32 PROP_RefX = 396;
const sal_Int32 PROP_RefY = 397;
const sal_Int32 PROP_Reference = 398;
const sal_Int32 PROP_ReferenceDevice = 399;
const sal_Int32 PROP_ReferenceSheet = 400;
const sal_Int32 PROP_RefreshPeriod = 401;
const sal_Int32 PROP_RegularExpressions = 402;
const sal_Int32 PROP_RelId = 403;
const sal_Int32 PROP_RelativeHeight = 404;
const sal_Int32 PROP_RelativeHorizontalTabbarWidth = 405;
const sal_Int32 PROP_RelativePosition = 406;
const sal_Int32 PROP_RelativeSize = 407;
const sal_Int32 PROP_RelativeWidth = 408;
const sal_Int32 PROP_Repeat = 409;
const sal_Int32 PROP_RepeatDelay = 410;
const sal_Int32 PROP_Representation = 411;
const sal_Int32 PROP_RightAngledAxes = 412;
const sal_Int32 PROP_RightBorder = 413;
const sal_Int32 PROP_RightBorderDistance = 414;
const sal_Int32 PROP_RightMargin = 415;
const sal_Int32 PROP_RightPageFooterContent = 416;
const sal_Int32 PROP_RightPageHeaderContent = 417;
const sal_Int32 PROP_Role = 418;
const sal_Int32 PROP_RotateAngle = 419;
const sal_Int32 PROP_RotateReference = 420;
const sal_Int32 PROP_RotationHorizontal = 421;
const sal_Int32 PROP_RotationVertical = 422;
const sal_Int32 PROP_RowGrand = 423;
const sal_Int32 PROP_RowLabelRanges = 424;
const sal_Int32 PROP_SaveOutputPosition = 425;
const sal_Int32 PROP_ScaleMode = 426;
const sal_Int32 PROP_ScaleToPages = 427;
const sal_Int32 PROP_ScaleToPagesX = 428;
const sal_Int32 PROP_ScaleToPagesY = 429;
const sal_Int32 PROP_ScrollHeight = 430;
const sal_Int32 PROP_ScrollLeft = 431;
const sal_Int32 PROP_ScrollTop = 432;
const sal_Int32 PROP_ScrollValue = 433;
const sal_Int32 PROP_ScrollValueMax = 434;
const sal_Int32 PROP_ScrollValueMin = 435;
const sal_Int32 PROP_ScrollWidth = 436;
const sal_Int32 PROP_Segments = 437;
const sal_Int32 PROP_SelectedItems = 438;
const sal_Int32 PROP_SelectedPage = 439;
const sal_Int32 PROP_Shadow = 440;
const sal_Int32 PROP_ShadowColor = 441;
const sal_Int32 PROP_ShadowFormat = 442;
const sal_Int32 PROP_ShadowTransparence = 443;
const sal_Int32 PROP_ShadowXDistance = 444;
const sal_Int32 PROP_ShadowYDistance = 445;
const sal_Int32 PROP_Show = 446;
const sal_Int32 PROP_ShowBorder = 447;
const sal_Int32 PROP_ShowCharts = 448;
const sal_Int32 PROP_ShowCorrelationCoefficient = 449;
const sal_Int32 PROP_ShowDetail = 450;
const sal_Int32 PROP_ShowDrawing = 451;
const sal_Int32 PROP_ShowEmpty = 452;
const sal_Int32 PROP_ShowEquation = 453;
const sal_Int32 PROP_ShowErrorMessage = 454;
const sal_Int32 PROP_ShowFilterButton = 455;
const sal_Int32 PROP_ShowFirst = 456;
const sal_Int32 PROP_ShowFormulas = 457;
const sal_Int32 PROP_ShowGrid = 458;
const sal_Int32 PROP_ShowHighLow = 459;
const sal_Int32 PROP_ShowInputMessage = 460;
const sal_Int32 PROP_ShowList = 461;
const sal_Int32 PROP_ShowNegativeError = 462;
const sal_Int32 PROP_ShowObjects = 463;
const sal_Int32 PROP_ShowPageBreakPreview = 464;
const sal_Int32 PROP_ShowPositiveError = 465;
const sal_Int32 PROP_ShowZeroValues = 466;
const sal_Int32 PROP_ShrinkToFit = 467;
const sal_Int32 PROP_Size = 468;
const sal_Int32 PROP_Size100thMM = 469;
const sal_Int32 PROP_SizePixel = 470;
const sal_Int32 PROP_SizeProtect = 471;
const sal_Int32 PROP_SizeType = 472;
const sal_Int32 PROP_SkipDuplicates = 473;
const sal_Int32 PROP_SortInfo = 474;
const sal_Int32 PROP_Sound = 475;
const sal_Int32 PROP_SoundOn = 476;
const sal_Int32 PROP_Speed = 477;
const sal_Int32 PROP_Spin = 478;
const sal_Int32 PROP_SpinIncrement = 479;
const sal_Int32 PROP_SpinValue = 480;
const sal_Int32 PROP_SpinValueMax = 481;
const sal_Int32 PROP_SpinValueMin = 482;
const sal_Int32 PROP_StackCharacters = 483;
const sal_Int32 PROP_StackingDirection = 484;
const sal_Int32 PROP_StartPosition = 485;
const sal_Int32 PROP_StartWith = 486;
const sal_Int32 PROP_StartingAngle = 487;
const sal_Int32 PROP_State = 488;
const sal_Int32 PROP_StringItemList = 489;
const sal_Int32 PROP_SubViewSize = 490;
const sal_Int32 PROP_Subtotals = 491;
const sal_Int32 PROP_Suffix = 492;
const sal_Int32 PROP_Surround = 493;
const sal_Int32 PROP_SwapXAndYAxis = 494;
const sal_Int32 PROP_Symbol = 495;
const sal_Int32 PROP_SymbolColor = 496;
const sal_Int32 PROP_TabColor = 497;
const sal_Int32 PROP_TabIndex = 498;
const sal_Int32 PROP_TableBorder = 499;
const sal_Int32 PROP_TableLayout = 500;
const sal_Int32 PROP_TableSelected = 501;
const sal_Int32 PROP_Tables = 502;
const sal_Int32 PROP_Tabstop = 503;
const sal_Int32 PROP_Tag = 504;
const sal_Int32 PROP_TargetFrame = 505;
const sal_Int32 PROP_Text = 506;
const sal_Int32 PROP_TextAutoGrowHeight = 507;
const sal_Int32 PROP_TextBox = 508;
const sal_Int32 PROP_TextBreak = 509;
const sal_Int32 PROP_TextColor = 510;
const sal_Int32 PROP_TextFitToSize = 511;
const sal_Int32 PROP_TextFrames = 512;
const sal_Int32 PROP_TextHorizontalAdjust = 513;
const sal_Int32 PROP_TextLeftDistance = 514;
const sal_Int32 PROP_TextLowerDistance = 515;
const sal_Int32 PROP_TextOverlap = 516;
const sal_Int32 PROP_TextPreRotateAngle = 517;
const sal_Int32 PROP_TextRightDistance = 518;
const sal_Int32 PROP_TextRotateAngle = 519;
const sal_Int32 PROP_TextRotation = 520;
const sal_Int32 PROP_TextUpperDistance = 521;
const sal_Int32 PROP_TextVerticalAdjust = 522;
const sal_Int32 PROP_TextWordWrap = 523;
const sal_Int32 PROP_TextWritingMode = 524;
const sal_Int32 PROP_Title = 525;
const sal_Int32 PROP_Toggle = 526;
const sal_Int32 PROP_TokenIndex = 527;
const sal_Int32 PROP_TopBorder = 528;
const sal_Int32 PROP_TopBorderDistance = 529;
const sal_Int32 PROP_TopMargin = 530;
const sal_Int32 PROP_TotalsRow = 531;
const sal_Int32 PROP_Transformation = 532;
const sal_Int32 PROP_TransitionDirection = 533;
const sal_Int32 PROP_TransitionDuration = 534;
const sal_Int32 PROP_TransitionFadeColor = 535;
const sal_Int32 PROP_TransitionSubtype = 536;
const sal_Int32 PROP_TransitionType = 537;
const sal_Int32 PROP_Transparency = 538;
const sal_Int32 PROP_TriState = 539;
const sal_Int32 PROP_Type = 540;
const sal_Int32 PROP_URL = 541;
const sal_Int32 PROP_UnnamedDatabaseRanges = 542;
const sal_Int32 PROP_Url = 543;
const sal_Int32 PROP_UseFilterCriteriaSource = 544;
const sal_Int32 PROP_UseRegularExpressions = 545;
const sal_Int32 PROP_UseRings = 546;
const sal_Int32 PROP_UseSelectedPage = 547;
const sal_Int32 PROP_VScroll = 548;
const sal_Int32 PROP_Validation = 549;
const sal_Int32 PROP_Value = 550;
const sal_Int32 PROP_VaryColorsByPoint = 551;
const sal_Int32 PROP_VertJustify = 552;
const sal_Int32 PROP_VertJustifyMethod = 553;
const sal_Int32 PROP_VertOrient = 554;
const sal_Int32 PROP_VertOrientPosition = 555;
const sal_Int32 PROP_VertOrientRelation = 556;
const sal_Int32 PROP_VerticalAlign = 557;
const sal_Int32 PROP_VerticalSplitMode = 558;
const sal_Int32 PROP_VerticalSplitPositionTwips = 559;
const sal_Int32 PROP_ViewBox = 560;
const sal_Int32 PROP_Visible = 561;
const sal_Int32 PROP_VisibleFlag = 562;
const sal_Int32 PROP_VisibleSize = 563;
const sal_Int32 PROP_VisualArea = 564;
const sal_Int32 PROP_VisualEffect = 565;
const sal_Int32 PROP_Weight = 566;
const sal_Int32 PROP_WhiteDay = 567;
const sal_Int32 PROP_Width = 568;
const sal_Int32 PROP_Wildcards = 569;
const sal_Int32 PROP_WritingMode = 570;
const sal_Int32 PROP_XLA1Representation = 571;
const sal_Int32 PROP_ZoomType = 572;
const sal_Int32 PROP_ZoomValue = 573;
const sal_Int32 PROP_COUNT = 574;
const sal_Int32 PROP_INVALID = -1;



} // namespace oox

#endif
